using System;

namespace System.Reactive
{
	internal static class ReadyToken
	{
		internal static readonly IDisposable Ready = new ReadyToken.ReadyDisposable();

		private sealed class ReadyDisposable : IDisposable
		{
			public void Dispose()
			{
			}
		}
	}
}
